﻿@model MainApplication.Models.EventModel

@{
    ViewBag.Title = "details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<!--
<h2>details</h2>

<div>
    <h4>EventModel</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ImageURI)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ImageURI)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Content)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Content)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DateCreation)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DateCreation)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.EndDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.EndDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Latitude)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Latitude)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Longitude)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Longitude)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.IsActive)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.IsActive)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.UserId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.UserId)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
    -->




<link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/base_styles.css" />
<link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/global_header.css" />
<link rel="stylesheet" type="text/css" href="https://cdn.evbstatic.com/s3-build/22160-rc2018-03-26_16.04-6d1961b/django/css/src/smacss/non_modular/secondary_footer.css">
<link rel="stylesheet" type="text/css" href="/Content/cdn.evbstatic.com/eds.css" />

<noscript>
    <link rel="stylesheet" type="text/css" href="https://cdn.evbstatic.com/s3-build/22160-rc2018-03-26_16.04-6d1961b/django/css/images/grunticons/styles/icons.fallback.css" />
</noscript>
<!-- End of Grunticon related code -->
<link rel="stylesheet" type="text/css" href="https://cdn.evbstatic.com/s3-build/22160-rc2018-03-26_16.04-6d1961b/django/css/src/smacss/non_modular/listing/bundle.css">




    <div class="js-hidden-when-expired event-listing event-listing--has-image " role="article">
        <!-- Event Listing Header -->
        <div class="notification-box--listing">
            <div class="js-notification-box" data-id="" data-message="" data-type="aaa" data-close-btn="" data-delay=""></div>
        </div>
       

        <div class="g-grid g-grid--page-margin-manual">
            <!-- Event Listing Body -->
            <div class="event-listing__body l-sm-pad-top-0">
                <!-- Listing Hero Details -->
                <div class="listing-hero-details__main-container fx--fade-in fx--delay-4">
                    <div class="g-group">
                        <div class="g-cell g-cell-1-1 g-cell-lg-8-12 g-cell--no-gutters listing-hero--image-container">
                           
                            <div class="listing-hero listing-hero--bkg clrfix fx--delay-6 fx--fade-in">
                                <picture content="@Model.ImageURI">
                                    <source srcset="@Model.ImageURI">
                                    <img class="listing-hero-image js-picturefill-img listing-image--main" data-automation="listing-hero-image" alt="">
                                </picture>
                            </div>
                        </div>
                        <div class="g-cell g-cell-1-1 g-cell-lg-4-12 g-cell--no-gutters listing-hero__detailed-info">
                            <ul class="listing-panel-actions show-small" role="list">
                                <li>
                                    <a class="js-d-bookmark btn btn--collapsible btn--target is-collapsed btn--opaque l-sm-mar-bot-2 listing-panel-actions__btn" data-eid="44181077793" role="listitem" data-bookmarked="false" alt="Save" aria-label="Save Event" dorsal-guid="8265fe91-2797-f24e-9fc3-8ba152d1c774" data-xd-wired="bookmark">
                                        <i class="ico-bookmark"></i>
                                    </a>
                                </li>
                            </ul>
                            <div class="l-pad-top-6 l-pad-bot-2 l-lg-pad-bot-4 l-pad-hor-6">
                                <div class="listing-hero-header hide-small ">
                                    <time class="listing-hero-date" datetime="2018-04-11">
                                        <a class="listing-hero-image--month" href="/event/delete/@Model.Id">Delete</a>
                                        <a
                                    </time>
                                </div>
                                <div class="listing-hero-body ">
                                    <h1 class="listing-hero-title" data-automation="listing-title">@Model.Title</h1>
                                    <meta content="Industrial IoT at Insat">
                                    <div class="l-mar-top-3">
                                        <div class="l-media clrfix listing-organizer-title">
                                            <div  style="text-align: center;float:none;padding-top: 50px;">
                                                <img src="@Model.User.ProfileImageURL" alt="Avatar" class="rounded-circle" width="100">
                                                </img>
                                                <div>
                                                    <p>Publisher :@Model.User.username</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Listing Card Panel -->
                <div class="listing-panel-wrapper js-listing-panel-wrapper clrfix" role="menu">
                    <div class="listing-panel clrfix sticky-listing-panel-placeholder hide-small"></div>
                    <div class="listing-panel js-sticky-panel sticky-listing-panel sticky clrfix is-unstick">
                        <div class="g-group g-group--page-margin-reset">
                            <div class="g-cell g-cell-1-1 g-cell-md-4-12 g-cell-lg-5-12 hide-small listing-panel__g-cell">
                                <h2 class="is-hidden-accessible hide-small">Actions and Detail Panel</h2>
                                <ul class="listing-panel-actions" role="list">
                                    <li class="fx--fade-in-down fx--duration-1 fx--delay-12" role="listitem">
                                        <a href="#" class="js-d-tooltip btn btn--target btn--collapsible js-share-listing-button listing-panel-actions__btn" role="button" alt="Share" title="" data-trigger="hover" data-d-disabled-in-touch="true" data-placement="bottom" data-container="body" aria-haspopup="true" aria-label="Share this event" data-automation="share-event-modal-btn" dorsal-guid="6c79e9ea-6837-e507-f489-607375a21770" data-original-title="Share Event" data-xd-wired="tooltip"><i class="ico-share"></i></a>
                                    </li>
                                    <li class="fx--fade-in-down fx--duration-2 fx--delay-14" role="listitem">
                                        <a href="#" class="js-d-bookmark js-d-tooltip btn btn--target btn--collapsible is-collapsed l-sm-mar-bot-2" data-automation="bookmark-link" role="button" data-eid="44181077793" data-bookmarked="false" alt="Save Event" title="" data-trigger="hover" data-d-disabled-in-touch="true" data-placement="bottom" data-container="body" aria-label="Save Event" aria-haspopup="true" dorsal-guid="fbd866be-9ed7-9e40-f50f-5627b096a193" data-original-title="Save Event" data-xd-wired="tooltip bookmark"><i class="ico-bookmark"></i></a>
                                    </li>
                                </ul>
                                <div class="listing-panel-info__details hide-responsive-grid-down l-mar-left-4 hide-large">
                                    <p class="is-truncated listing-title
					">Industrial IoT at Insat</p>
                                    <p class="listing-panel-info__details-datetime is-truncated">
                                        Wed, April 11, 2018, 9:00 AM – 2:00 PM CET
                                    </p>
                                </div>
                            </div>
                            <div class="g-cell g-cell-1-1 g-cell-md-4-12 g-cell-lg-3-12">
                                <div class="listing-panel-info__price-or-status">
                                    <div class="listing-panel-info__display-price is-truncated js-panel-display-price-container hide-large">
                                        <div class="js-panel-display-price">
                                            Free
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="g-cell g-cell-1-1 g-cell-md-4-12 l-sm-pad-top-1">
                                <div class="listing-panel-info fx--delay-18 fx--fade-in js-listing-panel-info-event-header">
                                    <div class="micro-ticket-box
">
                                        <div class="micro-ticket-box__body js-micro-ticket-box__body
	">
                                            <form class="js-order-registration responsive-form
		" name="ticketsForm" action="https://www.eventbrite.com/orderstart" method="post" target="_top">
                                                <input name="eid" value="44181077793" type="hidden">
                                                <input name="has_javascript" id="has_javascript" value="1" type="hidden">
                                                <input name="source_id" value="ac84ed66321111e88f4912bd961c41f8" type="hidden">
                                                <input name="payment_type" value="free" type="hidden">
                                                <input name="invite" value="" type="hidden">
                                                <input name="legacy_event_page" value="1" type="hidden">
                                                <input name="affiliate" value="es2" type="hidden">
                                                <input name="referrer" value="" type="hidden">
                                                <input name="referral_code" value="" type="hidden">
                                                <input name="w" value="" type="hidden">
                                                <input name="waitlist_code" value="" type="hidden">
                                                <input name="eventpassword" value="" type="hidden">
                                                <span class="js-micro-order-container">
                                                    <span class="micro-ticket-box__btn-wrapper">
                                                        <a type="button" class="micro-ticket-box__btn btn btn--epic btn--responsive js-ticket-modal-btn " href="/event/edit/@Model.Id">Edit</a>
                                                    </span>
                                                </span>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Listing Card Info -->
                <section class="listing-info clrfix">
                    <header class="listing-info__header l-md-pad-top-2  g-group g-group--page-margin-reset">
                        <div class="g-cell g-cell-1-1 g-cell-lg-8-12 g-offset-lg-2-12 listing-info__header-container">
                            <h2 class="is-hidden-accessible hide-small">Event Information</h2>
                            <div class="g-cell g-cell-1-1 show-small hide-medium hide-large">
                                <div class="event-details">
                                    <div class="g-group l-mar-vert-6">
                                        <div class="g-cell g-cell-2-12 g-cell--no-gutters">
                                            <i class="ico-calendar ico--medium"></i><span class="is-hidden-accessible">Share this event</span>
                                        </div>
                                        <div class="g-cell g-cell-10-12 g-cell--no-gutters">
                                            <h3 class="label-primary l-mar-bot-2">Date and Time</h3>
                                            <div class="event-details__data">
                                                <meta content="2018-04-11T09:00:00+01:00">
                                                <meta content="2018-04-11T14:00:00+01:00">
                                                <time class="clrfix" data-automation="event-details-time">
                                                    <p>Wed, April 11, 2018</p>
                                                    <p>9:00 AM – 2:00 PM CET</p>
                                                    <p class="hide-small hide-medium">
                                                        <a class="js-add-to-calendar-modal js-d-dialog-trigger" href="#add-to-calendar-modal" data-automation="add-to-calendar" role="button" aria-haspopup="true" dorsal-guid="2c867d77-eff7-cb65-3a8b-380f13feee3b" data-xd-wired="dialog-trigger">Add to Calendar</a>
                                                    </p>
                                                </time>
                                            </div>
                                        </div>
                                    </div>
                                   
                                </div>
                            </div>
                        </div>
                    </header>
                    <div class="listing-info__body l-sm-pad-vert-0 l-sm-pad-vert-6 clrfix g-group g-group--page-margin-reset">
                        <div class="g-cell g-cell-1-1 g-cell-lg-10-12 g-offset-lg-1-12 l-mar-stack l-section-stack">
                            <div class="g-group">
                                <div class="g-cell g-cell-1-1 g-cell-md-7-12 g-cell--no-gutters l-lg-pad-right-6">
                                    <div class="g-group l-lg-mar-bot-6 l-md-mar-bot-4 l-pad-bot-6 ">
                                        <div class="g-cell g-cell-2-12 show-small">
                                            <i class="ico-document ico--medium"></i><span class="is-hidden-accessible">Event description</span>
                                        </div>
                                        <div class="g-cell g-cell-10-12 g-cell-md-1-1">
                                            <h3 class="label-primary">Description</h3>
                                            <div class="has-user-generated-content js-d-read-more read-more js-read-more read-more--medium-down read-more--expanded" dorsal-guid="fba9a5e1-e7cc-b15d-425d-686a6e286343" data-xd-wired="read-more">
                                                <div class="js-xd-read-more-toggle-view read-more__toggle-view">
                                                    <div class="js-xd-read-more-contents l-mar-top-3" data-automation="listing-event-description">
                                                        @Model.Content
                                                    </div>
                                                </div>
                                                <div class="js-xd-read-more-toggle-director read-more__toggle-director l-pad-bot-4 l-sm-pad-bot-3">
                                                    <a href="javascript://" class="read-more__more" data-read-type="ReadMore" data-checkpoint-name="read_more">Read more</a>
                                                    <a href="javascript://" class="read-more__less" data-read-type="ReadLess" data-checkpoint-name="read_less">Read less</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                   
                                  
                                </div>
                                <div class="g-cell g-cell-12-12 g-cell-md-4-12 g-offset-md-1-12 g-cell--no-gutters l-lg-pad-left-6 hide-small">
                                    <div class="event-details l-lg-mar-left-6 l-lg-pad-left-6">
                                        <h3 class="label-primary l-mar-bot-2" data-automation="listing-info-language">Date and Time</h3>
                                        <div class="event-details__data">
                                            
                                            <time class="clrfix" data-automation="event-details-time">
                                                <p>creation date:</p>
                                                <p>@Model.DateCreation</p>
                                                <p>event date</p>
                                                <p>@Model.EndDate</p>
                                               
                                            </time>
                                        </div>
                                        <h3 class="label-primary l-mar-bot-2">Location</h3>
                                        <div class="event-details__data" style="padding-bottom:50px">
                                            <p>@Model.Location</p>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                   
                </section>
               <!-- Listing Card Map -->
                <div  id="map"  style="height:300px;">
                   
                </div>
            </div>
        </div>
       
    </div>

<!-- comments -->
<style>

    /**
 * Oscuro: #283035
 * Azul: #03658c
 * Detalle: #c7cacb
 * Fondo: #dee1e3
 ----------------------------------*/


 a {
 	color: #03658c;
 	text-decoration: none;
 }

ul {
	list-style-type: none;
}



/** ====================
 * Lista de Comentarios
 =======================*/
.comments-container {
	margin: 60px auto 15px;
	width: 768px;
}

.comments-container h1 {
	font-size: 36px;
	color: #283035;
	font-weight: 400;
}

.comments-container h1 a {
	font-size: 18px;
	font-weight: 700;
}

.comments-list {
	margin-top: 30px;
	position: relative;
}

/**
 * Lineas / Detalles
 -----------------------*/
.comments-list:before {
	content: '';
	width: 2px;
	height: 100%;
	background: #c7cacb;
	position: absolute;
	left: 32px;
	top: 0;
}

.comments-list:after {
	content: '';
	position: absolute;
	background: #c7cacb;
	bottom: 0;
	left: 27px;
	width: 7px;
	height: 7px;
	border: 3px solid #dee1e3;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
}

.reply-list:before, .reply-list:after {display: none;}
.reply-list li:before {
	content: '';
	width: 60px;
	height: 2px;
	background: #c7cacb;
	position: absolute;
	top: 25px;
	left: -55px;
}


.comments-list li {
	margin-bottom: 15px;
	display: block;
	position: relative;
}

.comments-list li:after {
	content: '';
	display: block;
	clear: both;
	height: 0;
	width: 0;
}

.reply-list {
	padding-left: 88px;
	clear: both;
	margin-top: 15px;
}
/**
 * Avatar
 ---------------------------*/
.comments-list .comment-avatar {
	width: 65px;
	height: 65px;
	position: relative;
	z-index: 99;
	float: left;
	border: 3px solid #FFF;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	-webkit-box-shadow: 0 1px 2px rgba(0,0,0,0.2);
	-moz-box-shadow: 0 1px 2px rgba(0,0,0,0.2);
	box-shadow: 0 1px 2px rgba(0,0,0,0.2);
	overflow: hidden;
}

.comments-list .comment-avatar img {
	width: 100%;
	height: 100%;
}

.reply-list .comment-avatar {
	width: 50px;
	height: 50px;
}

.comment-main-level:after {
	content: '';
	width: 0;
	height: 0;
	display: block;
	clear: both;
}
/**
 * Caja del Comentario
 ---------------------------*/
.comments-list .comment-box {
	width: 680px;
	float: right;
	position: relative;
	-webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.15);
	-moz-box-shadow: 0 1px 1px rgba(0,0,0,0.15);
	box-shadow: 0 1px 1px rgba(0,0,0,0.15);
}

.comments-list .comment-box:before, .comments-list .comment-box:after {
	content: '';
	height: 0;
	width: 0;
	position: absolute;
	display: block;
	border-width: 10px 12px 10px 0;
	border-style: solid;
	border-color: transparent #FCFCFC;
	top: 8px;
	left: -11px;
}

.comments-list .comment-box:before {
	border-width: 11px 13px 11px 0;
	border-color: transparent rgba(0,0,0,0.05);
	left: -12px;
}

.reply-list .comment-box {
	width: 610px;
}
.comment-box .comment-head {
	background: #FCFCFC;
	padding: 10px 12px;
	border-bottom: 1px solid #E5E5E5;
	overflow: hidden;
	-webkit-border-radius: 4px 4px 0 0;
	-moz-border-radius: 4px 4px 0 0;
	border-radius: 4px 4px 0 0;
}

.comment-box .comment-head i {
	float: right;
	margin-left: 14px;
	position: relative;
	top: 2px;
	color: #A6A6A6;
	cursor: pointer;
	-webkit-transition: color 0.3s ease;
	-o-transition: color 0.3s ease;
	transition: color 0.3s ease;
}

.comment-box .comment-head i:hover {
	color: #03658c;
}

.comment-box .comment-name {
	color: #283035;
	font-size: 14px;
	font-weight: 700;
	float: left;
	margin-right: 10px;
}

.comment-box .comment-name a {
	color: #283035;
}

.comment-box .comment-head span {
	float: left;
	color: #999;
	font-size: 13px;
	position: relative;
	top: 1px;
}

.comment-box .comment-content {
	background: #FFF;
	padding: 12px;
	font-size: 15px;
	color: #595959;
	-webkit-border-radius: 0 0 4px 4px;
	-moz-border-radius: 0 0 4px 4px;
	border-radius: 0 0 4px 4px;
}

.comment-box .comment-name.by-author, .comment-box .comment-name.by-author a {color: #03658c;}
.comment-box .comment-name.by-author:after {
	content: 'autor';
	background: #03658c;
	color: #FFF;
	font-size: 12px;
	padding: 3px 5px;
	font-weight: 700;
	margin-left: 10px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}



</style>
<!-- Contenedor Principal -->
<div class="comments-container">
    

    <ul id="comments-list" class="comments-list">
        @foreach(var item in Model.EventComments) { 
       <li >
            <div class="comment-main-level">
                <!-- Avatar -->
                <div class="comment-avatar"><img src="@item.User.ProfileImageURL" alt=""></div>
                <!-- Contenedor del Comentario -->
                <div class="comment-box">
                    <div class="comment-head">
                        <h6 class="comment-name"><a href="">@item.User.username</a></h6>
                        
                    </div>
                    <div class="comment-content"> @item.Content </div>
                </div>
            </div>
        </li>
        }
        <li id="ttt">
            <div class="comment-main-level">
                <!-- Avatar -->
                <div class="comment-avatar"><img class="com_img" src="http://i9.photobucket.com/albums/a88/creaticode/avatar_2_zps7de12f8b.jpg" alt=""></div>
                <!-- Contenedor del Comentario -->
                <div class="comment-box">
                    <div class="comment-head">
                        <h6 class="comment-name"><a href="http://creaticode.com/blog">You</a></h6>

                    </div>
                    <div class="comment-content"> <textarea id="comment_content" style="width: 100%;height: 100px;"></textarea> </div>
                    <button class="k-primary" value="hello" onclick="sendajaxcomment()">add comment</button>
                </div>
            </div>
        </li>
    </ul>
</div>
<style>
    .k-primary {
        float:right;
        list-style: none;
        margin: 0;
    margin-top: 0px;
padding: 8px 14px;
-webkit-box-sizing: border-box;
box-sizing: border-box;
border-width: 1px;
border-style: solid;
background-repeat: repeat-x;
background-position: 0 center;
font: inherit;
    font-weight: inherit;
    line-height: inherit;
line-height: 1.72em;
text-align: center;
text-decoration: none;
display: -webkit-inline-box;
display: -webkit-inline-flex;
display: -ms-inline-flexbox;
display: inline-flex;
overflow: hidden;
-webkit-box-align: center;
-webkit-align-items: center;
-ms-flex-align: center;
align-items: center;
-webkit-box-pack: center;
-webkit-justify-content: center;
-ms-flex-pack: center;
justify-content: center;
vertical-align: middle;
-webkit-user-select: none;
-moz-user-select: none;
-ms-user-select: none;
user-select: none;
cursor: pointer;
outline: 0;
-webkit-appearance: none;
    color: #fff;
    border-color: #3f51b5;
    background-image: none;
    background-image: none,-webkit-gradient(linear,left top,left bottom,from(false));
    background-image: none,-webkit-linear-gradient(top,false);
    background-image: none,linear-gradient(to bottom,false);
    background-position: 50% 50%;
    background-color: #3f51b5;
    border-radius: 2px;
    box-shadow: 0 2px 6px rgba(0,0,0,.2),0 2px 3px rgba(0,0,0,.05);
    line-height: 1.28571428em;
padding: 8px 14px;
}

</style>
<!---->




<script>

    function setLocation(a, b) {
        location = { lat: a, lng: b }
        return location
    }

    function initMap() {

        b=@Model.Longitude;
        a=@Model.Latitude;
       
        

        //init map
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 8,
            center:{lat:a,lng:b}
        });

        var marker = new google.maps.Marker({
            position: {lat:a,lng:b},
            map: map ,
            animation: google.maps.Animation.DROP
        });
    }

</script>

<script>
    $(".com_img").first().attr('src',$(".rounded-circle").first().attr('src'))
    function sendajaxcomment(){
        eventid=@Model.Id
        $.ajax({
            url:"/event/"+eventid+"/add/comment",
            method:"POST",
            data: {"Content": $("#comment_content").val()},
            success: function(data) {
                console.log(data)
                data=JSON.parse(data)
                
                
               
                obj="<li>"+
                "<div class='comment-main-level'>"+
                
                "<div class='comment-avatar'><img src='"+$(".rounded-circle").first().attr('src')+"' ></div>"+
                
                "<div class='comment-box'>"+
                    "<div class='comment-head'>"+
                        "<h6 class='comment-name'><a>You</a></h6>"+

                    "</div>"+
                    "<div class='comment-content'> "+data["Content"]+"</div>"+
                "</div></div></li>"

                $(obj).insertBefore($("#ttt"))

            },
            error: function(data) {
                console.log(data)
            },

        })
    }

</script>


<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBssrZlQmIlg6mYqyxahJ8Mvhb2BchJVJ8&callback=initMap"></script>